Subject: Re: b19 and win95
From: [email-masked] (Mikey)

1 Mar 1998 08:44:32 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Geoffrey Noer <[email-masked]>, [email-masked]

Return from fork after ^C ?
This only happens in nested make/shell scripts.
Top level processes do not cause this problem.

A partial workaround is to reduce to a minimum the
number of environment variables passed down
to the forked process.

export -n
on all variables used only in the top level shell
set +a
at the end of .bashrc similar to the following

unset CYGROOT WINBOOTDIR WINDIR WINPMT BLASTER CMDLINE
unset PROMPT QBACKUP SYMANTEC TEMP CMDLINE ISP16
unset COPYCMD DIRCMD E2CWD HLP NU PKUNZIP CONFIG
export -nf dlow tlow tup which
export -n TZ CVSROOT EDITOR LESSCHARSET PS1 PS2
export -n TMP TERMINFO LS_COLORS C32PATH HISTCONTROL HOSTTYPE
export -n IGNOREEOF SHELLOPTS SHLVL MACHTYPE HOSTNAME OSTYPE
trap '' 5
set +a #do not export variables in subshells

Will get you much farther in configure/make of
the cdk.

On Sun, 1 Mar 1998 03:27:08 -0800 (PST), you wrote:

>David Walter wrote:
>> 
>> Now consistently, but at different stages of the build process the
>> machine freezes.  
>
>I had more problems than before in Win 95 with random freezes.  This
>problem mostly went away when I upgraded to the latest version of Win
>95.
>
>If anyone figures out what's causing this, I would really like to
>know.

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".